#!/bin/sh

. ./var_mysql_ptkdic.sh

#    mysqld   root    ,
#    
echo "   root..."
cat >/tmp/set_mysql.my <<EOF
UPDATE user SET password=PASSWORD('$PASS_MYSQL_ROOT') WHERE user='root';
UPDATE user SET host='$SUBNET' WHERE host='$HOST$NAME';
EOF

cat /tmp/set_mysql.my | mysql -u root mysql

echo "  ptkdic..."
mysqladmin -u root create ptkdic

#    ,     
echo "  , $PTKDIC_ADM  $PTKDIC_USR,    ..."
cat >/tmp/set_ptkdic.my <<EOF 
GRANT ALL PRIVILEGES ON ptkdic.* TO '$PTKDIC_ADM'@'localhost';
GRANT SELECT ON ptkdic.* TO '$PTKDIC_USR'@'localhost';
GRANT ALL PRIVILEGES ON ptkdic.* TO '$PTKDIC_ADM'@'$SUBNET';
GRANT SELECT ON ptkdic.* TO '$PTKDIC_USR'@'$SUBNET';
UPDATE user SET password=password('$PASS_PTKDIC_ADM') WHERE host='localhost' && user='$PTKDIC_ADM';
UPDATE user SET password=password('$PASS_PTKDIC_USR') WHERE host='localhost' && user='$PTKDIC_USR';
UPDATE user SET password=password('$PASS_PTKDIC_ADM') WHERE host='$SUBNET' && user='$PTKDIC_ADM';
UPDATE user SET password=password('$PASS_PTKDIC_USR') WHERE host='$SUBNET' && user='$PTKDIC_USR';
EOF

cat /tmp/set_ptkdic.my | mysql -u root  mysql

echo " mysql..."
mysqladmin -u root reload

#    
rm -f /tmp/set_mysql.my
rm -f /tmp/set_ptkdic.my
